/'

The custom font format:

The font is stored in a standard Get/Put buffer.
The font has to be stored in a buffer using the same
depth as the current color depth, otherwise Draw String
will bump out with an illegal function call runtime error.

First line of pixels in the font buffer holds the header
of the font, on a byte (and NOT pixel) basis. The very
first byte identifies the font header version; currently
this must be 0. The second byte gives the ascii code of
the first supported character in the font; the third byte
gives the ascii code of the last supported character. So
if the font supports the full range 0-255, 0 and 255 will
be the contents of these two bytes.

Next comes the width of each of the supported characters,
each in a byte. Supposing the font holds 96 characters,
ranging from 32 to 127 (inclusive), the header would have
the first three bytes holding 0, 32 and 127, followed by
96 bytes giving the widths of the corresponding chars.

The font height is obtained by subtracting 1 from the buffer
height, that is, while the first buffer line of pixels acts
as a font header, the remaining lines define the glyphs' layout.
The buffer must be as wide as necessary to hold all the supported
character sprites in the same row, one after another.

'/

Type _FontHdr
   As Byte version 
   As Byte firstchar
   As Byte lastchar   
End Type


